import { EventEmitter, Component, Injector, Input, Directive, ViewChild, Pipe, ɵɵdefineInjectable, Injectable, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NGX_MAT_SELECT_CONFIGS, NgxMatSelectModule } from 'ngx-mat-select';
import { NgxConditionSelectorFilter, NgxDateFilter, NgxNumberBoxFilter, NgxSelectBoxFilter, NgxTrueFalseFilter, NgxTextBoxFilter, NgxFiltersModule, FilterTranslator, NgxFiltersService, NGX_FILTERS_CONFIGS } from 'ngx-filters';
import { MatSlideToggle, MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatSelectModule } from '@angular/material/select';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatInputModule } from '@angular/material/input';
import { FormsModule } from '@angular/forms';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatDialogModule } from '@angular/material/dialog';

class MatConditionsSelectorComponent extends NgxConditionSelectorFilter {
    constructor(injector) {
        super();
        this.conditions = [];
        this.valueChange = new EventEmitter();
    }
    ngOnInit() {
    }
    onValueChange(ev) {
        this.valueChange.emit(ev);
    }
}
MatConditionsSelectorComponent.decorators = [
    { type: Component, args: [{
                selector: 'conditions-selector',
                template: "<mat-form-field *ngIf=\"filter\" style=\";margin-bottom: 6px;max-width: 200px\">\n  <mat-select [title]=\"label\" #sf=\"ngxMatSelect\"\n              [disabled]=\"filter.disabledCondition\"\n              [source]=\"conditions\"\n              ngxMatSelect\n              mobileViewType=\"BottomSheet\"\n              [hasSearchBox]=\"false\"\n              (valueChange)=\"onValueChange($event)\"\n              [(value)]=\"filter.conditionOperator\">\n    <mat-option *ngFor=\"let condition of sf.filteredSource\" [value]=\"condition.key\">\n      {{condition.label}}\n    </mat-option>\n  </mat-select>\n</mat-form-field>\n",
                styles: [".conditions-selector-container{display:flex}", ".ngx-mat-filters-wrapper{min-height:100px;padding:20px 2px;position:relative}.ngx-mat-filter-item{display:flex;grid-gap:10px;grid-template-columns:120px auto;max-width:550px;position:relative}.ngx-mat-filter-item-display-label{font-size:1.1rem;margin-right:5px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.ngx-mat-filters-wrapper .mat-expansion-panel-header{max-width:100%;padding:0 5px!important}.ngx-mat-filters-wrapper mat-form-field{max-width:100%}.ngx-mat-filter-items.xs .mat-expansion-panel-body{padding:0!important}ngx-mat-filters-list mat-form-field{flex:1}ngx-mat-filters-list .mat-form-field-wrapper{margin:0;padding:0}ngx-mat-filters-list .mat-expansion-panel{width:100%}ngx-mat-filters-list .filter-true-false,ngx-mat-filters-list .mat-expansion-panel{border-bottom:1px dashed #bdbdbd;box-shadow:none!important}.filters-component-wrapper{display:flex;flex-wrap:wrap;grid-gap:8px;width:100%}@media (max-width:400px){.ngx-mat-filter-item{grid-gap:0;grid-template-columns:auto}}.filter-true-false{align-items:center;display:flex;justify-content:space-between;width:100%}.ngx-mat-filters-header{height:42px!important}.filters-component-true-false-wrapper{display:flex;justify-content:flex-end;margin-left:8px}.filter-header{align-items:center;display:flex;width:100%}.filter-spinner,.filter-spinner-container{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.filter-spinner{z-index:2}.filter-text-success{color:#689f38;height:12px;left:1px;position:absolute;top:15px}"]
            },] }
];
MatConditionsSelectorComponent.ctorParameters = () => [
    { type: Injector }
];
MatConditionsSelectorComponent.propDecorators = {
    conditions: [{ type: Input }],
    filter: [{ type: Input }]
};

class DateTimeFilterComponent extends NgxDateFilter {
    constructor(injector) {
        super();
        this.startDate = new Date();
        this.valueChange = new EventEmitter();
    }
    ngOnInit() {
    }
    onValueChange(ev) {
        this.valueChange.emit(new Date(ev));
    }
    onConditionChange() {
    }
}
DateTimeFilterComponent.decorators = [
    { type: Component, args: [{
                selector: 'date-time-filter',
                template: "<mat-form-field\n>\n  <mat-label>\n    {{label}}\n  </mat-label>\n  <input\n    autocomplete=\"off\"\n    [(ngModel)]=\"value\"\n    disabled\n    (ngModelChange)=\"onValueChange($event)\"\n    matInput [matDatepicker]=\"picker\">\n  <mat-datepicker-toggle matSuffix [for]=\"picker\"></mat-datepicker-toggle>\n  <mat-datepicker disabled=\"false\" #picker></mat-datepicker>\n</mat-form-field>\n\n\n",
                styles: ["", ".ngx-mat-filters-wrapper{min-height:100px;padding:20px 2px;position:relative}.ngx-mat-filter-item{display:flex;grid-gap:10px;grid-template-columns:120px auto;max-width:550px;position:relative}.ngx-mat-filter-item-display-label{font-size:1.1rem;margin-right:5px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.ngx-mat-filters-wrapper .mat-expansion-panel-header{max-width:100%;padding:0 5px!important}.ngx-mat-filters-wrapper mat-form-field{max-width:100%}.ngx-mat-filter-items.xs .mat-expansion-panel-body{padding:0!important}ngx-mat-filters-list mat-form-field{flex:1}ngx-mat-filters-list .mat-form-field-wrapper{margin:0;padding:0}ngx-mat-filters-list .mat-expansion-panel{width:100%}ngx-mat-filters-list .filter-true-false,ngx-mat-filters-list .mat-expansion-panel{border-bottom:1px dashed #bdbdbd;box-shadow:none!important}.filters-component-wrapper{display:flex;flex-wrap:wrap;grid-gap:8px;width:100%}@media (max-width:400px){.ngx-mat-filter-item{grid-gap:0;grid-template-columns:auto}}.filter-true-false{align-items:center;display:flex;justify-content:space-between;width:100%}.ngx-mat-filters-header{height:42px!important}.filters-component-true-false-wrapper{display:flex;justify-content:flex-end;margin-left:8px}.filter-header{align-items:center;display:flex;width:100%}.filter-spinner,.filter-spinner-container{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.filter-spinner{z-index:2}.filter-text-success{color:#689f38;height:12px;left:1px;position:absolute;top:15px}"]
            },] }
];
DateTimeFilterComponent.ctorParameters = () => [
    { type: Injector }
];
DateTimeFilterComponent.propDecorators = {
    filter: [{ type: Input }]
};

class NumberBoxFilterComponent extends NgxNumberBoxFilter {
    constructor(injector) {
        super();
        this.valueChange = new EventEmitter();
    }
    ngOnInit() {
    }
}
NumberBoxFilterComponent.decorators = [
    { type: Component, args: [{
                selector: 'number-box-filter',
                template: "<div class=\"filters-component-wrapper\">\n  <mat-form-field>\n    <mat-label>\n      {{label}}\n    </mat-label>\n    <input (ngModelChange)=\" valueChange.emit($event); filter? filter.valueName = $event: ''\"\n           autocomplete=\"off\" type=\"number\" matInput\n           [(ngModel)]=\"value\">\n    <mat-hint\n      *ngIf=\"isMoney\">{{value | separateThreeComma}}\n      {{prefixTextForHint}}</mat-hint>\n\n  </mat-form-field>\n</div>\n\n",
                styles: ["", ".ngx-mat-filters-wrapper{min-height:100px;padding:20px 2px;position:relative}.ngx-mat-filter-item{display:flex;grid-gap:10px;grid-template-columns:120px auto;max-width:550px;position:relative}.ngx-mat-filter-item-display-label{font-size:1.1rem;margin-right:5px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.ngx-mat-filters-wrapper .mat-expansion-panel-header{max-width:100%;padding:0 5px!important}.ngx-mat-filters-wrapper mat-form-field{max-width:100%}.ngx-mat-filter-items.xs .mat-expansion-panel-body{padding:0!important}ngx-mat-filters-list mat-form-field{flex:1}ngx-mat-filters-list .mat-form-field-wrapper{margin:0;padding:0}ngx-mat-filters-list .mat-expansion-panel{width:100%}ngx-mat-filters-list .filter-true-false,ngx-mat-filters-list .mat-expansion-panel{border-bottom:1px dashed #bdbdbd;box-shadow:none!important}.filters-component-wrapper{display:flex;flex-wrap:wrap;grid-gap:8px;width:100%}@media (max-width:400px){.ngx-mat-filter-item{grid-gap:0;grid-template-columns:auto}}.filter-true-false{align-items:center;display:flex;justify-content:space-between;width:100%}.ngx-mat-filters-header{height:42px!important}.filters-component-true-false-wrapper{display:flex;justify-content:flex-end;margin-left:8px}.filter-header{align-items:center;display:flex;width:100%}.filter-spinner,.filter-spinner-container{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.filter-spinner{z-index:2}.filter-text-success{color:#689f38;height:12px;left:1px;position:absolute;top:15px}"]
            },] }
];
NumberBoxFilterComponent.ctorParameters = () => [
    { type: Injector }
];
NumberBoxFilterComponent.propDecorators = {
    filter: [{ type: Input }]
};

class MatSelectBase extends NgxSelectBoxFilter {
    constructor(injector) {
        super();
        this.valueChange = new EventEmitter();
        this.selectBoxConfigs = injector.get(NGX_MAT_SELECT_CONFIGS, null);
    }
    ngAfterViewInit() {
        // setTimeout(() => {
        //   if (this.inFirstLoadCallSearcher) {
        //     setTimeout(() => {
        //       this.sf?.refreshData();
        //     }, 20);
        //   }
        // }, 50);
        super.ngAfterViewInit();
    }
    ngOnInit() {
        // if (this.filter && this.filter.options) {
        //   const option = this.filter?.options?.selectBoxOptions;
        //   if (this.selectBoxConfigs) {
        //     if (option) {
        //       this.filter.options.selectBoxOptions = Object.assign(this.selectBoxConfigs, this.filter.options.selectBoxOptions);
        //     } else {
        //       this.filter.options.selectBoxOptions = Object.assign(new FilterSelectBoxOptions(), this.selectBoxConfigs);
        //     }
        //   }
        // }
    }
}
MatSelectBase.decorators = [
    { type: Directive, args: [{},] }
];
MatSelectBase.ctorParameters = () => [
    { type: Injector }
];
MatSelectBase.propDecorators = {
    sf: [{ type: ViewChild, args: ['sf',] }]
};

class SelectBoxFilterComponent extends MatSelectBase {
    constructor(injector) {
        super(injector);
        this.injector = injector;
        this.valueChange = new EventEmitter();
    }
    ngAfterViewInit() {
        super.ngAfterViewInit();
    }
    ngOnInit() {
        super.ngOnInit();
    }
}
SelectBoxFilterComponent.decorators = [
    { type: Component, args: [{
                selector: 'select-box-filter',
                template: "<div class=\"ngx-filters-component-wrapper\">\n  <mat-form-field>\n    <mat-select\n      [multiple]=\"false\"\n      ngxMatSelect\n      [(ngModel)]=\"value\"\n      (ngModelChange)=\"valueChange.emit($event)\"\n      [lazyLoad]=\"lazyLoad\"\n      [displayMember]=\"displayMember\"\n      [valueMember]=\"valueMember\"\n      [searcher]=\"searcher\"\n      [source]=\"options?.source\"\n      (filteredSourceChange)=\"filterSourceChange($event)\"\n      [searchBoxPlaceholder]=\"placeholder\"\n      [useMobileView]=\"useMobileView\"\n      [emptyLabel]=\"emptyText\"\n      [mobileViewType]=\"mobileViewType\"\n      [maximumResultForShow]=\"maximumResultForShow\"\n      [hasSearchBox]=\"hasSearch\"\n      [useInfiniteScroll]=\"useInfiniteScroll\"\n      [noMoreResultLabel]=\"noMoreResultLabel\"\n      [inFirstLoadCallSearcher]=\"inFirstLoadCallSearcher\"\n      [inFirstLoadSearcherValue]=\"inFirstLoadSearcherValue\"\n      #sf=\"ngxMatSelect\"\n    >\n      <mat-option [value]=\"val\"\n                  *ngFor=\"let val of sf?.filteredSource\">\n        <span [innerHTML]=\"val[displayMember]\"></span>\n      </mat-option>\n    </mat-select>\n  </mat-form-field>\n\n\n</div>\n",
                styles: ["", ".ngx-mat-filters-wrapper{min-height:100px;padding:20px 2px;position:relative}.ngx-mat-filter-item{display:flex;grid-gap:10px;grid-template-columns:120px auto;max-width:550px;position:relative}.ngx-mat-filter-item-display-label{font-size:1.1rem;margin-right:5px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.ngx-mat-filters-wrapper .mat-expansion-panel-header{max-width:100%;padding:0 5px!important}.ngx-mat-filters-wrapper mat-form-field{max-width:100%}.ngx-mat-filter-items.xs .mat-expansion-panel-body{padding:0!important}ngx-mat-filters-list mat-form-field{flex:1}ngx-mat-filters-list .mat-form-field-wrapper{margin:0;padding:0}ngx-mat-filters-list .mat-expansion-panel{width:100%}ngx-mat-filters-list .filter-true-false,ngx-mat-filters-list .mat-expansion-panel{border-bottom:1px dashed #bdbdbd;box-shadow:none!important}.filters-component-wrapper{display:flex;flex-wrap:wrap;grid-gap:8px;width:100%}@media (max-width:400px){.ngx-mat-filter-item{grid-gap:0;grid-template-columns:auto}}.filter-true-false{align-items:center;display:flex;justify-content:space-between;width:100%}.ngx-mat-filters-header{height:42px!important}.filters-component-true-false-wrapper{display:flex;justify-content:flex-end;margin-left:8px}.filter-header{align-items:center;display:flex;width:100%}.filter-spinner,.filter-spinner-container{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.filter-spinner{z-index:2}.filter-text-success{color:#689f38;height:12px;left:1px;position:absolute;top:15px}"]
            },] }
];
SelectBoxFilterComponent.ctorParameters = () => [
    { type: Injector }
];
SelectBoxFilterComponent.propDecorators = {
    filter: [{ type: Input }]
};

class TrueFalseFilterComponent extends NgxTrueFalseFilter {
    constructor(injector) {
        super();
        this.valueChange = new EventEmitter();
    }
    ngOnInit() {
    }
    onChangeValue(ev) {
        var _a;
        !ev ? ((_a = this.options) === null || _a === void 0 ? void 0 : _a.falseIsNull) ?
            this.value = null : this.value = false :
            this.value = ev;
        this.valueChange.emit(this.value);
    }
}
TrueFalseFilterComponent.decorators = [
    { type: Component, args: [{
                selector: 'true-false-filter',
                template: "<div class=\"filters-component-true-false-wrapper\">\n\n    <mat-slide-toggle (click)=\"$event.stopPropagation()\"\n                      (ngModelChange)\n                              =\"onChangeValue($event)\"\n                      #toggle [ngModel]=\"value\">\n        {{filter.value | trueFalseFilter:filter.options}}\n    </mat-slide-toggle>\n</div>\n",
                exportAs: 'trueFalseFilter',
                styles: ["", ".ngx-mat-filters-wrapper{min-height:100px;padding:20px 2px;position:relative}.ngx-mat-filter-item{display:flex;grid-gap:10px;grid-template-columns:120px auto;max-width:550px;position:relative}.ngx-mat-filter-item-display-label{font-size:1.1rem;margin-right:5px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.ngx-mat-filters-wrapper .mat-expansion-panel-header{max-width:100%;padding:0 5px!important}.ngx-mat-filters-wrapper mat-form-field{max-width:100%}.ngx-mat-filter-items.xs .mat-expansion-panel-body{padding:0!important}ngx-mat-filters-list mat-form-field{flex:1}ngx-mat-filters-list .mat-form-field-wrapper{margin:0;padding:0}ngx-mat-filters-list .mat-expansion-panel{width:100%}ngx-mat-filters-list .filter-true-false,ngx-mat-filters-list .mat-expansion-panel{border-bottom:1px dashed #bdbdbd;box-shadow:none!important}.filters-component-wrapper{display:flex;flex-wrap:wrap;grid-gap:8px;width:100%}@media (max-width:400px){.ngx-mat-filter-item{grid-gap:0;grid-template-columns:auto}}.filter-true-false{align-items:center;display:flex;justify-content:space-between;width:100%}.ngx-mat-filters-header{height:42px!important}.filters-component-true-false-wrapper{display:flex;justify-content:flex-end;margin-left:8px}.filter-header{align-items:center;display:flex;width:100%}.filter-spinner,.filter-spinner-container{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.filter-spinner{z-index:2}.filter-text-success{color:#689f38;height:12px;left:1px;position:absolute;top:15px}"]
            },] }
];
TrueFalseFilterComponent.ctorParameters = () => [
    { type: Injector }
];
TrueFalseFilterComponent.propDecorators = {
    filter: [{ type: Input }],
    slideToggle: [{ type: ViewChild, args: [MatSlideToggle,] }]
};

class MultiSelectBoxFilterComponent extends MatSelectBase {
    constructor(injector) {
        super(injector);
        this.injector = injector;
        this.valueChange = new EventEmitter();
    }
    ngAfterViewInit() {
        super.ngAfterViewInit();
    }
    ngOnInit() {
        super.ngOnInit();
    }
}
MultiSelectBoxFilterComponent.decorators = [
    { type: Component, args: [{
                selector: 'multi-select-box-filter',
                template: "<div class=\"ngx-filters-component-wrapper\">\n  <mat-form-field>\n    <mat-select\n      [multiple]=\"true\"\n      ngxMatSelect\n      [(ngModel)]=\"value\"\n      (ngModelChange)=\"valueChange.emit($event)\"\n      [lazyLoad]=\"lazyLoad\"\n      [displayMember]=\"displayMember\"\n      [valueMember]=\"valueMember\"\n      [searcher]=\"searcher\"\n      [source]=\"options?.source\"\n      (filteredSourceChange)=\"filterSourceChange($event)\"\n      [searchBoxPlaceholder]=\"placeholder\"\n      [useMobileView]=\"useMobileView\"\n      [emptyLabel]=\"emptyText\"\n      [mobileViewType]=\"mobileViewType\"\n      [maximumResultForShow]=\"maximumResultForShow\"\n      [hasSearchBox]=\"hasSearch\"\n      [useInfiniteScroll]=\"useInfiniteScroll\"\n      [noMoreResultLabel]=\"noMoreResultLabel\"\n      [inFirstLoadCallSearcher]=\"inFirstLoadCallSearcher\"\n      [inFirstLoadSearcherValue]=\"inFirstLoadSearcherValue\"\n\n      #sf=\"ngxMatSelect\"\n    >\n      <mat-option [value]=\"val\"\n                  *ngFor=\"let val of sf?.filteredSource\">\n        <span [innerHTML]=\"val[displayMember]\"></span>\n      </mat-option>\n    </mat-select>\n\n  </mat-form-field>\n\n\n</div>\n",
                styles: [".ngx-mat-filters-wrapper{min-height:100px;padding:20px 2px;position:relative}.ngx-mat-filter-item{display:flex;grid-gap:10px;grid-template-columns:120px auto;max-width:550px;position:relative}.ngx-mat-filter-item-display-label{font-size:1.1rem;margin-right:5px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.ngx-mat-filters-wrapper .mat-expansion-panel-header{max-width:100%;padding:0 5px!important}.ngx-mat-filters-wrapper mat-form-field{max-width:100%}.ngx-mat-filter-items.xs .mat-expansion-panel-body{padding:0!important}ngx-mat-filters-list mat-form-field{flex:1}ngx-mat-filters-list .mat-form-field-wrapper{margin:0;padding:0}ngx-mat-filters-list .mat-expansion-panel{width:100%}ngx-mat-filters-list .filter-true-false,ngx-mat-filters-list .mat-expansion-panel{border-bottom:1px dashed #bdbdbd;box-shadow:none!important}.filters-component-wrapper{display:flex;flex-wrap:wrap;grid-gap:8px;width:100%}@media (max-width:400px){.ngx-mat-filter-item{grid-gap:0;grid-template-columns:auto}}.filter-true-false{align-items:center;display:flex;justify-content:space-between;width:100%}.ngx-mat-filters-header{height:42px!important}.filters-component-true-false-wrapper{display:flex;justify-content:flex-end;margin-left:8px}.filter-header{align-items:center;display:flex;width:100%}.filter-spinner,.filter-spinner-container{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.filter-spinner{z-index:2}.filter-text-success{color:#689f38;height:12px;left:1px;position:absolute;top:15px}"]
            },] }
];
MultiSelectBoxFilterComponent.ctorParameters = () => [
    { type: Injector }
];
MultiSelectBoxFilterComponent.propDecorators = {
    filter: [{ type: Input }]
};

class TextBoxFilterComponent extends NgxTextBoxFilter {
    constructor(injector) {
        super();
        this.valueChange = new EventEmitter();
    }
    ngOnInit() {
    }
}
TextBoxFilterComponent.decorators = [
    { type: Component, args: [{
                selector: 'text-box-filter',
                template: "<div class=\"ngx-filters-component-wrapper\">\n  <mat-form-field>\n    <mat-label></mat-label>\n    <input type=\"text\" matInput [(ngModel)]=\"value\" (ngModelChange)=\"valueChange.emit($event)\">\n  </mat-form-field>\n</div>\n",
                styles: [".ngx-mat-filters-wrapper{min-height:100px;padding:20px 2px;position:relative}.ngx-mat-filter-item{display:flex;grid-gap:10px;grid-template-columns:120px auto;max-width:550px;position:relative}.ngx-mat-filter-item-display-label{font-size:1.1rem;margin-right:5px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.ngx-mat-filters-wrapper .mat-expansion-panel-header{max-width:100%;padding:0 5px!important}.ngx-mat-filters-wrapper mat-form-field{max-width:100%}.ngx-mat-filter-items.xs .mat-expansion-panel-body{padding:0!important}ngx-mat-filters-list mat-form-field{flex:1}ngx-mat-filters-list .mat-form-field-wrapper{margin:0;padding:0}ngx-mat-filters-list .mat-expansion-panel{width:100%}ngx-mat-filters-list .filter-true-false,ngx-mat-filters-list .mat-expansion-panel{border-bottom:1px dashed #bdbdbd;box-shadow:none!important}.filters-component-wrapper{display:flex;flex-wrap:wrap;grid-gap:8px;width:100%}@media (max-width:400px){.ngx-mat-filter-item{grid-gap:0;grid-template-columns:auto}}.filter-true-false{align-items:center;display:flex;justify-content:space-between;width:100%}.ngx-mat-filters-header{height:42px!important}.filters-component-true-false-wrapper{display:flex;justify-content:flex-end;margin-left:8px}.filter-header{align-items:center;display:flex;width:100%}.filter-spinner,.filter-spinner-container{left:50%;position:absolute;top:50%;transform:translate(-50%,-50%)}.filter-spinner{z-index:2}.filter-text-success{color:#689f38;height:12px;left:1px;position:absolute;top:15px}"]
            },] }
];
TextBoxFilterComponent.ctorParameters = () => [
    { type: Injector }
];

class TrueFalseFilterPipe {
    transform(value, ...args) {
        var _a, _b;
        const options = args[0];
        const trueLabel = ((_a = options === null || options === void 0 ? void 0 : options.trueFalseOptions) === null || _a === void 0 ? void 0 : _a.trueLabel) ? options.trueFalseOptions.trueLabel : 'Yes';
        const falseLabel = ((_b = options === null || options === void 0 ? void 0 : options.trueFalseOptions) === null || _b === void 0 ? void 0 : _b.falseLabel) ? options.trueFalseOptions.falseLabel : 'No';
        if (value === true) {
            return trueLabel;
        }
        return falseLabel;
    }
}
TrueFalseFilterPipe.decorators = [
    { type: Pipe, args: [{
                name: 'trueFalseFilter'
            },] }
];

class SeparateThreeCommaPipe {
    numberWithCommas(x) {
        var _a;
        return (_a = x === null || x === void 0 ? void 0 : x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ',')) !== null && _a !== void 0 ? _a : '';
    }
    transform(value) {
        if (value != null) {
            return this.numberWithCommas(value);
        }
        return '0';
    }
}
SeparateThreeCommaPipe.ɵprov = ɵɵdefineInjectable({ factory: function SeparateThreeCommaPipe_Factory() { return new SeparateThreeCommaPipe(); }, token: SeparateThreeCommaPipe, providedIn: "root" });
SeparateThreeCommaPipe.decorators = [
    { type: Injectable, args: [{ providedIn: 'root' },] },
    { type: Pipe, args: [{
                name: 'separateThreeComma'
            },] }
];

// import {NGX_MAT_SELECT_CONFIGS} from "";
const ngxMatSelectConfigs = {
    emptyLabel: 'موردی یافت نشد.',
    searchBoxPlaceholder: 'جستوجو'
};
class NgxMatFiltersModule {
    static forChild() {
        return {
            ngModule: NgxFiltersModule
        };
    }
    static forRoot(configs, ngxMatSelectConfig) {
        const defaultConfigs = {
            dateComponent: DateTimeFilterComponent,
            conditionSelectorComponent: MatConditionsSelectorComponent,
            multiSelectBoxComponent: MultiSelectBoxFilterComponent,
            numberBoxComponent: NumberBoxFilterComponent,
            selectBoxComponent: SelectBoxFilterComponent,
            textBoxComponent: TextBoxFilterComponent,
            trueFalseComponent: TrueFalseFilterComponent,
            translator: new FilterTranslator()
        };
        const c = Object.assign(defaultConfigs, configs);
        if (ngxMatSelectConfig) {
            return {
                ngModule: NgxFiltersModule,
                providers: [
                    { provide: NGX_MAT_SELECT_CONFIGS, useValue: ngxMatSelectConfig },
                    NgxFiltersService,
                    {
                        provide: NGX_FILTERS_CONFIGS, useValue: c
                    },
                ]
            };
        }
        else {
            return {
                ngModule: NgxFiltersModule,
                providers: [
                    NgxFiltersService,
                    {
                        provide: NGX_FILTERS_CONFIGS, useValue: c
                    },
                ]
            };
        }
    }
}
NgxMatFiltersModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    MatConditionsSelectorComponent,
                    DateTimeFilterComponent,
                    NumberBoxFilterComponent,
                    SelectBoxFilterComponent,
                    TextBoxFilterComponent,
                    TrueFalseFilterComponent,
                    MultiSelectBoxFilterComponent,
                    TrueFalseFilterPipe,
                    SeparateThreeCommaPipe
                ],
                imports: [
                    CommonModule,
                    MatSelectModule,
                    MatDialogModule,
                    MatFormFieldModule,
                    MatInputModule,
                    FormsModule,
                    MatDatepickerModule,
                    MatSlideToggleModule,
                    NgxMatSelectModule,
                ],
                providers: [],
                exports: [
                    MatSelectModule,
                    MatDialogModule,
                    MatDatepickerModule
                ],
            },] }
];

/*
 * Public API Surface of ngx-mat-filters
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DateTimeFilterComponent, MatConditionsSelectorComponent, MatSelectBase, MultiSelectBoxFilterComponent, NgxMatFiltersModule, NumberBoxFilterComponent, SelectBoxFilterComponent, TextBoxFilterComponent, TrueFalseFilterComponent, TrueFalseFilterPipe, ngxMatSelectConfigs, SeparateThreeCommaPipe as ɵa };
//# sourceMappingURL=ngx-mat-filters.js.map
